> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Track an event occuring within a business



## OpenAPI

````yaml /openapi.json post /businesses/{id}/track
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /businesses/{id}/track:
    post:
      tags:
        - Events
      summary: Track an event occuring within a business
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the business
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                event:
                  type: string
                  description: The name of the event
                data:
                  type: object
                  additionalProperties: true
                  description: The data associated with the event
              required:
                - event
      responses:
        '200':
          description: HTTP status acknowledging the event was properly received
          content:
            application/json:
              schema:
                type: object
                properties: {}
components:
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````